/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2004 by Walther Neuper 
 * created Sep 28, 2004, 3:17:37 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to license terms.
 */
package isac.functest;

import junit.framework.TestCase;

/**
 * The learner uses ISAC like an algebra system: 
 * select an example or input a formula [e.g. 'solve(x+1=2,x)],
 * push a button <autosolve> and get the result.
 * 
 * And he gets additional value from ISAC while asking for details:
 * intermediate steps down level for level to the atomic rewrites,
 * Tactics applied, Assumptions generated.
 * 
 * @see <isac.functest.TestSpecify> for viewing theories, 
 * 		problems and methods used (via CalcHead).
 * @see <isac.functest.TestSolveStepwise> for redoing parts of the calculation
 *
 * @author Walther Neuper Sep 28, 2004, 3:17:37 PM
 * @version 1.0
 *
 **/
public class TestAlgebraSystem extends TestCase {

	public void testXxx() {
		System.out.println("---BEGIN isac.functest.TestAlgebraSystem#testXxx");
		System.out.println("TODO");
		assertEquals("TODO","TODO");
		System.out.println("---END isac.functest.TestAlgebraSystem#testXxx");
	}
}
