<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="html"/>

  <xsl:template match="GUH">
  </xsl:template>
  <xsl:template match="STRINGLIST">
  </xsl:template>
  <xsl:template match="META">
  </xsl:template>

  <xsl:template match="HEADLINE">
    <p>
     <b>
        <xsl:for-each select="MATHML/ISA">
          <xsl:value-of select="."/>
        </xsl:for-each>
     </b>
    </p>
    <hr/>
  </xsl:template>

  <xsl:template match="GIVEN">
      <b><xsl:text>Given:</xsl:text></b>
      <ul>
        <xsl:for-each select="MATHML/ISA">
          <li>
            <xsl:value-of select="."/>
          </li>
        </xsl:for-each>
      </ul>
    <p> </p>
  </xsl:template>

  <xsl:template match="WHERE">
    <p>
    <b><xsl:text>Where:</xsl:text></b>
      <xsl:for-each select="MATHML/ISA">
          <xsl:value-of select="."/>
      </xsl:for-each>
    </p>
  </xsl:template>

  <xsl:template match="FIND">
    <b><xsl:text>Find:</xsl:text></b>
    <ul>
      <xsl:for-each select="MATHML/ISA">
        <li>
          <xsl:value-of select="."/>
        </li>
      </xsl:for-each>
    </ul>
    <p> </p>
  </xsl:template>

  <xsl:template match="RELATE">
      <b><xsl:text>Given:</xsl:text></b>
      <ul>
        <xsl:for-each select="MATHML/ISA">
          <li>
            <xsl:value-of select="."/>
          </li>
        </xsl:for-each>
      </ul>
    <p> </p>
  </xsl:template>

  <xsl:template match="//EXPLANATIONS">
    <hr/>
    <p> </p>
    <xsl:copy-of select="//EXPLANATIONS/."/>
  </xsl:template>

  <xsl:template match="THEORY">
  </xsl:template>
  <xsl:template match="METHODS">
  </xsl:template>
  <xsl:template match="EVALPRECOND">
  </xsl:template>

</xsl:stylesheet>
