/*
 * Created on Sep 19, 2003
 */
 
package isac.util.interfaces;

import isac.util.CalcChangedEvent;
import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 * Interface to be used to communicate in the direction towards the user.
 * 
 * @author Alan Krempler
 */
public interface IToUser extends Remote {
	/**
	 * Notify a listener of changes in the data.
	 * 
	 * @param event Description of the change in the CalcTree
	 */
	public void calcChanged(CalcChangedEvent event) throws RemoteException;
	
}
