/****************************************************************** 
* Copyright (c) 2003, Mario Hochreiter, Student of 
* Software Engineering at FH-Hagenberg, Austria. 
* Project member of the isac team at the Institute for 
* Software-Technologie, Graz University of Technology, Austria. 
* 
* Use is subject to license terms.
******************************************************************/

package isac.gui.calcheadviews;

import isac.util.formulae.CalcHead;

/**
 * Defines the public methods that each <code>CalcHeadView</code> has
 * to implement
 * @author Mario Hochreiter
 * @version 1.0
 *
 */
public interface CHeadView {
  /** populate the text fields with the values from the <code>CalcHead</code> */
  public void fillTextFieldsFromCalcHead(CalcHead ch);
  public void fillCalcHeadFromTextFields(CalcHead ch);
}
